Package org.jcsp.util.filter

# Interface FilteredChannelOutput

All Superinterfaces:
  `ChannelOutput`, `Poisonable`, `WriteFiltered`

All Known Subinterfaces:
  `FilteredSharedChannelOutput`

All Known Implementing Classes:
  `FilteredSharedChannelOutputWrapper`

public interface FilteredChannelOutput extends ChannelOutput, WriteFiltered
Interface for a channel output end that supports write filtering operations.

Author:
  Quickstone Technologies Limited

## Method Summary

### Methods inherited from interface org.jcsp.lang.ChannelOutput

`write`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

### Methods inherited from interface org.jcsp.util.filter.WriteFiltered

`addWriteFilter, addWriteFilter, getWriteFilter, getWriteFilterCount, removeWriteFilter, removeWriteFilter`